-- Set some locals
local KeepTheHerbs, namespace = ...
local L = namespace.L
local PotID = namespace.PotID
local MatsID = namespace.MatsID

function HerbUsedFor(id)

-- ************************************************************
-- ************************** Flowers *************************
-- ************************************************************

-- If you can't make it with Alchemy, then use:
-- PotionDifficultyColor()
-- If you can make it with Alchemy, then use:
-- HerbDifficultyColor

    if id == 2447 then -- Peacebloom - Skill 1 25 50 100
        return(HerbDifficultyColor(118) .. "\n" .. HerbDifficultyColor(3382) .. "\n" .. HerbDifficultyColor(2456) .. "\n" .. HerbDifficultyColor(2458) .. "\n" .. HerbDifficultyColor(4596) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(2447));

    elseif id == 765 then -- Silverleaf - Skill 1 25 50 100
        return(HerbDifficultyColor(2454) .. "\n" .. HerbDifficultyColor(5997) .. "\n" .. HerbDifficultyColor(118) .. "\n" .. HerbDifficultyColor(2455) .. "\n" .. HerbDifficultyColor(2457) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(765));

    elseif id == 2449 then -- Earthroot - Skill 15 40 65 115
        return(HerbDifficultyColor(2454) .. "\n" .. HerbDifficultyColor(3382) .. "\n" .. HerbDifficultyColor(2458) .. "\n" .. HerbDifficultyColor(6662) .. "\n" .. HerbDifficultyColor(3391) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(2449));

    elseif id == 785 then -- Mageroyal - Skill 50 75 100 150
        return(HerbDifficultyColor(2455) .. "\n" .. HerbDifficultyColor(2456) .. "\n" .. HerbDifficultyColor(3383) .. "\n" .. HerbDifficultyColor(3384) .. "\n" .. HerbDifficultyColor(3385) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(785));

    elseif id == 2450 then -- Briarthorn - Skill 70 95 120 170
        return(HerbDifficultyColor(858) .. "\n" .. HerbDifficultyColor(5631) .. "\n" .. HerbDifficultyColor(2459) .. "\n" .. HerbDifficultyColor(3383) .. "\n" .. HerbDifficultyColor(929) .. "\n" .. HerbDifficultyColor(3388) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(2450));

    elseif id == 2452 then -- Swifthistle - Found with Briarthorn and Mageroyal
        return(HerbDifficultyColor(2457) .. "\n" .. HerbDifficultyColor(2459) .. "\n" .. HerbDifficultyColor(6051) .. "\n" .. HerbDifficultyColor(6372) .. "\n" .. HerbDifficultyColor(3390) .. "\n\n" .. L["Swifthistle"]);

    elseif id == 3820 then -- Stranglekelp - 85 110 135 185
        return(HerbDifficultyColor(5996) .. "\n" .. HerbDifficultyColor(3385) .. "\n" .. HerbDifficultyColor(3389) .. "\n" .. HerbDifficultyColor(5634) .. "\n" .. HerbDifficultyColor(3827) .. "\n" .. HerbDifficultyColor(8949) .. "\n" .. HerbDifficultyColor(6052) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3820));

    elseif id == 2453 then -- Bruiseweed - Skill 100 125 150 200
        return(HerbDifficultyColor(6051) .. "\n" .. HerbDifficultyColor(929) .. "\n" .. HerbDifficultyColor(3386) .. "\n" .. HerbDifficultyColor(3388) .. "\n" .. HerbDifficultyColor(3826) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(2453));

    elseif id == 3355 then -- Wild Steelbloom - Skill 115 140 165 215
        return(HerbDifficultyColor(3384) .. "\n" .. HerbDifficultyColor(3389) .. "\n" .. HerbDifficultyColor(3390) .. "\n" .. HerbDifficultyColor(3823) .. "\n" .. HerbDifficultyColor(3825) .. "\n" .. HerbDifficultyColor(8951) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3355));

    elseif id == 3369 then -- Grave Moss - Skill 120 145 170 220
        return(HerbDifficultyColor(6048) .. "\n" .. HerbDifficultyColor(3824) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3369));

    elseif id == 3356 then -- Kingsblood - Skill 125 150 175 225
        return(HerbDifficultyColor(6048) .. "\n" .. HerbDifficultyColor(6373) .. "\n" .. HerbDifficultyColor(3391) .. "\n" .. HerbDifficultyColor(1710) .. "\n" .. HerbDifficultyColor(3827) .. "\n" .. HerbDifficultyColor(5633) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3356));

    elseif id == 3357 then -- Liferoot - Skill 150 175 200 250
        return(HerbDifficultyColor(1710) .. "\n" .. HerbDifficultyColor(3826) .. "\n" .. HerbDifficultyColor(6052) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3357));

    elseif id == 3818 then -- Fadeleaf - Skill 160 185 210 260
        return(HerbDifficultyColor(3823) .. "\n" .. HerbDifficultyColor(3824) .. "\n" .. HerbDifficultyColor(3828) .. "\n" .. HerbDifficultyColor(10592) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3818));

    elseif id == 3821 then -- Goldthorn - Skill 170 195 220 270
        return(HerbDifficultyColor(3825) .. "\n" .. HerbDifficultyColor(8949) .. "\n" .. HerbDifficultyColor(6050) .. "\n" .. HerbDifficultyColor(8951) .. "\n" .. HerbDifficultyColor(10592) .. "\n" .. HerbDifficultyColor(6149) .. "\n" .. HerbDifficultyColor(8956) .. "\n" .. HerbDifficultyColor(9030) .. "\n" .. HerbDifficultyColor(4623) .. "\n" .. HerbDifficultyColor(9155) .. "\n" .. HerbDifficultyColor(9187) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3821));

    elseif id == 3358 then -- Khadgar's Whisker - Skill 185 210 235 285
        return(HerbDifficultyColor(17708) .. "\n" .. HerbDifficultyColor(3828) .. "\n" .. HerbDifficultyColor(3829) .. "\n" .. HerbDifficultyColor(6149) .. "\n" .. HerbDifficultyColor(9036) .. "\n" .. HerbDifficultyColor(3928) .. "\n" .. HerbDifficultyColor(9179) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3358));

    elseif id == 3819 then -- Wintersbite - Skill 195 220 245 295
        return(HerbDifficultyColor(6050) .. "\n" .. HerbDifficultyColor(17708) .. "\n" .. HerbDifficultyColor(3829) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(3819));

    elseif id == 4625 then -- Firebloom - 205 230 255 305
        return(HerbDifficultyColor(8956) .. "\n" .. HerbDifficultyColor(9061) .. "\n" .. HerbDifficultyColor(9149) .. "\n" .. HerbDifficultyColor(21546) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(4625));

    elseif id == 8831 then -- Purple Lotus - Skill 210 235 260 310
        return(HerbDifficultyColor(9036) .. "\n" .. HerbDifficultyColor(18294) .. "\n" .. HerbDifficultyColor(9149) .. "\n" .. HerbDifficultyColor(9144) .. "\n" .. HerbDifficultyColor(12190) .. "\n" .. HerbDifficultyColor(9197) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(8831));

    elseif id == 8153 then -- Wildvine - Found with Purple Lotus
        return(HerbDifficultyColor(9144) .. "\n\n" .. L["Wildvine"]);

    elseif id == 8836 then -- Arthas' Tears - Skill 220 245 270 320
        return(HerbDifficultyColor(9154) .. "\n" .. HerbDifficultyColor(9088) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(8836));

    elseif id == 8838 then -- Sungrass - Skill 230 255 280 330
        return(HerbDifficultyColor(3928) .. "\n" .. HerbDifficultyColor(9172) .. "\n" .. HerbDifficultyColor(9187) .. "\n" .. HerbDifficultyColor(9206) .. "\n" .. HerbDifficultyColor(13443) .. "\n" .. HerbDifficultyColor(13445) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(8838));

    elseif id == 8839 then -- Blindweed - Skill 235 260 285 335
        return(HerbDifficultyColor(9155) .. "\n" .. HerbDifficultyColor(9179) .. "\n" .. HerbDifficultyColor(9088) .. "\n" .. HerbDifficultyColor(3387) .. "\n" .. HerbDifficultyColor(13443) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(8839));

    elseif id == 8845 then -- Ghost Mushroom - Skill 245 270 295 345
        return(HerbDifficultyColor(9172) .. "\n" .. HerbDifficultyColor(9210) .. "\n" .. HerbDifficultyColor(9224) .. "\n" .. HerbDifficultyColor(9264) .. "\n" .. HerbDifficultyColor(3387) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(8845));

    elseif id == 8846 then -- Gromsblood - Skill 250 275 300 350
        return(HerbDifficultyColor(9206) .. "\n" .. HerbDifficultyColor(9224) .. "\n" .. HerbDifficultyColor(9233) .. "\n" .. HerbDifficultyColor(13442) .. "\n" .. HerbDifficultyColor(13453) .. "\n" .. HerbDifficultyColor(20004) .. "\n" .. HerbDifficultyColor(13510) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(8846));

    elseif id == 13464 then -- Golden Sansam - Skill 260 285 310 360
        return(HerbDifficultyColor(20002) .. "\n" .. HerbDifficultyColor(13446) .. "\n" .. HerbDifficultyColor(18253) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(13464));

    elseif id == 13463 then -- Dreamfoil - Skill 270 295 320 370
        return(HerbDifficultyColor(13511) .. "\n" .. HerbDifficultyColor(13512) .. "\n" .. HerbDifficultyColor(18253) .. "\n" .. HerbDifficultyColor(13444) .. "\n" .. HerbDifficultyColor(13461) .. "\n" .. HerbDifficultyColor(13457) .. "\n" .. HerbDifficultyColor(13456) .. "\n" .. HerbDifficultyColor(13458) .. "\n" .. HerbDifficultyColor(13459) .. "\n" .. HerbDifficultyColor(13454) .. "\n" .. HerbDifficultyColor(20002) .. "\n" .. HerbDifficultyColor(20007) .. "\n" .. HerbDifficultyColor(13447) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(13463));

    elseif id == 13465 then -- Mountain Silversage - Skill 280 305 330 380
        return(HerbDifficultyColor(13446) .. "\n" .. HerbDifficultyColor(13452) .. "\n" .. HerbDifficultyColor(13454) .. "\n" .. HerbDifficultyColor(20008) .. "\n" .. HerbDifficultyColor(13513) .. "\n" .. HerbDifficultyColor(13506) .. "\n" .. HerbDifficultyColor(13512) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(13465));

    elseif id == 13466 then -- Plaguebloom - Skill 285 310 335 385
        return(HerbDifficultyColor(13447) .. "\n" .. HerbDifficultyColor(13453) .. "\n" .. HerbDifficultyColor(20007) .. "\n" .. HerbDifficultyColor(13452) .. "\n" .. HerbDifficultyColor(13462) .. "\n" .. HerbDifficultyColor(20004) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(13466));

    elseif id == 13467 then -- Icecap - Skill 290 315 340 390
        return(HerbDifficultyColor(20008) .. "\n" .. HerbDifficultyColor(13462) .. "\n" .. HerbDifficultyColor(13444) .. "\n" .. HerbDifficultyColor(13513) .. "\n" .. HerbDifficultyColor(13511) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(13467));

    elseif id == 13468 then -- Black Lotus - Skill 300 325 350 400
        return(HerbDifficultyColor(13503) .. "\n" .. HerbDifficultyColor(13513) .. "\n" .. HerbDifficultyColor(13511) .. "\n" .. HerbDifficultyColor(13506) .. "\n" .. HerbDifficultyColor(13512) .. "\n" .. HerbDifficultyColor(13510) .. "\n" .. HerbDifficultyColor(19931) .. "\n\n" .. L["HerbSkil"] .. HerbSkillLevel(13468));

-- ************************************************************
-- ************************ Other items ***********************
-- ************************************************************

    elseif id == 3164 then -- Discolored Worg Heart
        return(HerbDifficultyColor(4596));

    elseif id == 6358 then -- Oily Blackmouth
        return(HerbDifficultyColor(6370));

    elseif id == 6522 then -- Deviate Fish
        return(HerbDifficultyColor(6662));

    elseif id == 1288 then -- Large Venom Sac
        return(HerbDifficultyColor(3386));

    elseif id == 6359 then -- Firefin Snapper
        return(HerbDifficultyColor(6371));

    elseif id == 5637 then -- Large Fang
        return(HerbDifficultyColor(5633));

    elseif id == 9260 then -- Volatile Rum
        return(HerbDifficultyColor(9061));

    elseif id == 7067 then -- Elemental Earth
        return(HerbDifficultyColor(9030) .. "\n" .. HerbDifficultyColor(13458));

    elseif id == 3858 then -- Mithril Ore
        return(HerbDifficultyColor(4623));

    elseif id == 3575 then -- Iron Bar
        return(HerbDifficultyColor(9149) .. "\n" .. HerbDifficultyColor(11479));

    elseif id == 9262 then -- Black Vitriol
        return(HerbDifficultyColor(9149) .. "\n" .. HerbDifficultyColor(13503));

    elseif id == 3860 then -- Mithril Bar
        return(HerbDifficultyColor(11480));

    elseif id == 4342 then -- Purple Dye
        return(HerbDifficultyColor(9210));

    elseif id == 13422 then -- Stonescale Eel
        return(HerbDifficultyColor(13423));

    elseif id == 12359 then -- Thorium Bar
        return(HerbDifficultyColor(17187));

    elseif id == 12363 then -- Arcane Crystal
        return(HerbDifficultyColor(17187));

    elseif id == 7082 then -- Essence of Air
        return(HerbDifficultyColor(17559) .. "\n" .. HerbDifficultyColor(13503));

    elseif id == 7078 then -- Essence of Fire
        return(HerbDifficultyColor(17560) .. "\n" .. HerbDifficultyColor(13503));

    elseif id == 7076 then -- Essence of Earth
        return(HerbDifficultyColor(17566) .. "\n" .. HerbDifficultyColor(17561) .. "\n" .. HerbDifficultyColor(13503));

    elseif id == 7080 then -- Essence of Water
        return(HerbDifficultyColor(17562) .. "\n" .. HerbDifficultyColor(17564) .. "\n" .. HerbDifficultyColor(13503));

    elseif id == 12808 then -- Essence of Undeath
        return(HerbDifficultyColor(17563));

    elseif id == 7080 then -- Essence of Water
        return(HerbDifficultyColor(17562) .. "\n" .. HerbDifficultyColor(17564) .. "\n" .. HerbDifficultyColor(13503));

    elseif id == 12803 then -- Living Essence
        return(HerbDifficultyColor(17565) .. "\n" .. HerbDifficultyColor(13503));

    elseif id == 10620 then -- Thorium Ore
        return(HerbDifficultyColor(13455));

    elseif id == 7068 then -- Elemental Fire
        return(HerbDifficultyColor(13457));

    elseif id == 11176 then -- Dream Dust
        return(HerbDifficultyColor(13461));

    elseif id == 3824 then -- Shadow Oil
        return(HerbDifficultyColor(13459));

    elseif id == 7077 then -- Heart of Fire
        return(HerbDifficultyColor(25146));

    elseif id == 13423 then -- Stonescale Oil
        return(HerbDifficultyColor(13445) .. "\n" .. HerbDifficultyColor(13455) .. "\n" .. HerbDifficultyColor(13506) .. "\n" .. HerbDifficultyColor(13510));

    elseif id == 12938 then -- Blood of Heroes
        return(HerbDifficultyColor(19931));

    elseif id == 19943 then -- Massive Mojo
        return(HerbDifficultyColor(19931));

    elseif id == 12804 then -- Powerful Mojo
        return(HerbDifficultyColor(19931));

    elseif id == 118 then -- Minor Healing Potion
        return(HerbDifficultyColor(858));

    elseif id == 6371 then -- Fire Oil
        return(HerbDifficultyColor(6373) .. "\n" .. HerbDifficultyColor(6049) .. "\n" .. HerbDifficultyColor(21546));

    elseif id == 6370 then -- Blackmouth Oil
        return(HerbDifficultyColor(5996) .. "\n" .. HerbDifficultyColor(6372) .. "\n" .. HerbDifficultyColor(5634));

    elseif id == 7972 then -- Ichor of Undeath
        return(HerbDifficultyColor(18294));

    elseif id == 4402 then -- Small Flame Sac
        return(HerbDifficultyColor(6049));

    elseif id == 12359 then -- Thorium Bar
        return(HerbDifficultyColor(12360));

    elseif id == 10286 then -- Heart of the Wild
        return(HerbDifficultyColor(18253) .. "\n" .. HerbDifficultyColor(20008));

    elseif id == 7070 then -- Elemental Water
        return(HerbDifficultyColor(13456));

    elseif id == 9260 then -- Volatile Rum
        return(HerbDifficultyColor(9061));
    end
end