-- Set some locals
local KeepTheHerbs, namespace = ...
local L = namespace.L
local PotID = namespace.PotID
local MatsID = namespace.MatsID

function MatsForPotion(id)

-- ************************************************************
-- ************************** Potions *************************
-- ************************************************************

-- If you can't make it with Alchemy, then use:
-- PotionDifficultyColor()
-- If you can make it with Alchemy, then use:
-- HerbDifficultyColor

    if id == 118 then -- Minor Healing Potion - Skill 1, 55, 75, 95
        return("1 x " .. PotionDifficultyColor(2447) .. "\n1 x " .. PotionDifficultyColor(765) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(118));

    elseif id == 5997 then -- Elixir of Minor Defense - Skill 1, 55, 75, 95
        return("2 x " .. PotionDifficultyColor(765) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(5997));

    elseif id == 2454 then -- Elixir of Lion's Strength - Skill 1, 55, 75, 95
        return("1 x " .. PotionDifficultyColor(2449) .. "\n1 x " .. PotionDifficultyColor(765) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(2454));

    elseif id == 3382 then -- Weak Troll's Blood Potion - Skill 15, 60, 80, 100
        return("1 x " .. PotionDifficultyColor(2447) .. "\n2 x " .. PotionDifficultyColor(2449) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3382));

    elseif id == 2455 then -- Minor Mana Potion - Skill 25, 65, 85, 105
        return("1 x " .. PotionDifficultyColor(785) .. "\n1 x " .. PotionDifficultyColor(765) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(2455));

    elseif id == 2456 then -- Minor Rejuvenation Potion - Skill 40, 70, 90, 110
        return("2 x " .. PotionDifficultyColor(785) .. "\n1 x " .. PotionDifficultyColor(2447) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(2456));

    elseif id == 2458 then -- Elixir of Minor Fortitude - Skill 50, 80, 100, 120
        return("2 x " .. PotionDifficultyColor(2449) .. "\n1 x " .. PotionDifficultyColor(2447) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(2458));

    elseif id == 2457 then -- Elixir of Minor Agility - Skill 50, 80, 100, 120
        return("1 x " .. PotionDifficultyColor(2452) .. "\n1 x " .. PotionDifficultyColor(765) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(2457));

    elseif id == 4596 then -- Discolored Healing Potion - Skill 50, 80, 100, 120
        return("1 x " .. PotionDifficultyColor(3164) .. "\n1 x " .. PotionDifficultyColor(2447) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(4596));

    elseif id == 858 then -- Lesser Healing Potion - Skill 55, 85, 105, 125
        return("1 x " .. HerbDifficultyColor(118) .. "\n1 x " .. PotionDifficultyColor(2450) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(858));

    elseif id == 2459 then -- Swiftness Potion - Skill 60, 90, 110, 130
        return("1 x " .. PotionDifficultyColor(2452) .. "\n1 x " .. PotionDifficultyColor(2450) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(2459));

    elseif id == 5631 then -- Rage Potion - Skill 60, 90, 110, 130
        return("1 x " .. PotionDifficultyColor(5635) .. "\n1 x " .. PotionDifficultyColor(2450) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(5631));

    elseif id == 6370 then -- Blackmouth Oil - Skill 80, 80, 90, 100
        return("2 x " .. PotionDifficultyColor(6358) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6370));

    elseif id == 3383 then -- Elixir of Wisdom - Skill 90, 120, 140, 160
        return("1 x " .. PotionDifficultyColor(785) .. "\n2 x " .. PotionDifficultyColor(2450) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3383));

    elseif id == 5996 then -- Elixir of Water Breathing - Skill 90, 120, 140, 160
        return("1 x " .. PotionDifficultyColor(3820) .. "\n2 x " .. HerbDifficultyColor(6370) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(5996));

    elseif id == 6662 then -- Elixir of Giant Growth - Skill 90, 120, 140, 160
        return("1 x " .. PotionDifficultyColor(6522) .. "\n1 x " .. PotionDifficultyColor(2449) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6662));

    elseif id == 6051 then -- Holy Protection Potion - Skill 100, 130, 150, 170
        return("1 x " .. PotionDifficultyColor(2453) .. "\n1 x " .. PotionDifficultyColor(2452) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6051));

    elseif id == 6372 then -- Swim Speed Potion - Skill 100, 130, 150, 170
        return("1 x " .. PotionDifficultyColor(2452) .. "\n1 x " .. HerbDifficultyColor(6370) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6372));

    elseif id == 3384 then -- Minor Magic Resistance Potion - Skill 110, 135, 155, 175
        return("3 x " .. PotionDifficultyColor(785) .. "\n1 x " .. PotionDifficultyColor(3355) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3384));

    elseif id == 929 then -- Healing Potion - Skill 110, 135, 155, 175
        return("1 x " .. PotionDifficultyColor(2453) .. "\n1 x " .. PotionDifficultyColor(2450) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(929));

    elseif id == 3385 then -- Lesser Mana Potion - Skill 120, 145, 165, 185
        return("1 x " .. PotionDifficultyColor(785) .. "\n1 x " .. PotionDifficultyColor(3820) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3385));

    elseif id == 3386 then -- Elixir of Poison Resistance - Skill 120, 145, 165, 185
        return("1 x " .. PotionDifficultyColor(1288) .. "\n1 x " .. PotionDifficultyColor(2453) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3386));

    elseif id == 3388 then -- Strong Troll's Blood Potion - Skill 125, 150, 170, 190
        return("2 x " .. PotionDifficultyColor(2453) .. "\n2 x " .. PotionDifficultyColor(2450) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3388));

    elseif id == 6371 then -- Fire Oil - Skill 130, 150, 160, 170
        return("2 x " .. PotionDifficultyColor(6359) .. "\n1 x " .. L["3371"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6371));

    elseif id == 3389 then -- Elixir of Defense - Skill 130, 155, 175, 195
        return("1 x " .. PotionDifficultyColor(3355) .. "\n1 x " .. PotionDifficultyColor(3820) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3389));

    elseif id == 6048 then -- Shadow Protection Potion - Skill 135, 160, 180, 200
        return("1 x " .. PotionDifficultyColor(3369) .. "\n1 x " .. PotionDifficultyColor(3356) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6048));

    elseif id == 3390 then -- Elixir of Lesser Agility - Skill 140, 165, 185, 205
        return("1 x " .. PotionDifficultyColor(3355) .. "\n1 x " .. PotionDifficultyColor(2452) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3390));

    elseif id == 6373 then -- Elixir of Firepower - Skill 140, 165, 185, 205
        return("2 x " .. HerbDifficultyColor(6371) .. "\n1 x " .. PotionDifficultyColor(3356) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6373));

    elseif id == 3391 then -- Elixir of Ogre's Strength - Skill 150, 175, 195, 215
        return("1 x " .. PotionDifficultyColor(2449) .. "\n1 x " .. PotionDifficultyColor(3356) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3391));

    elseif id == 5634 then -- Free Action Potion - Skill 150, 175, 195, 215
        return("2 x " .. HerbDifficultyColor(6370) .. "\n1 x " .. PotionDifficultyColor(3820) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(5634));

    elseif id == 1710 then -- Greater Healing Potion - Skill 155, 175, 195, 215
        return("1 x " .. PotionDifficultyColor(3357) .. "\n1 x " .. PotionDifficultyColor(3356) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(1710));

    elseif id == 3827 then -- Mana Potion - Skill 160, 180, 200, 220
        return("1 x " .. PotionDifficultyColor(3820) .. "\n1 x " .. PotionDifficultyColor(3356) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3827));

    elseif id == 3823 then -- Lesser Invisibility Potion - Skill 165, 185, 205, 225
        return("1 x " .. PotionDifficultyColor(3818) .. "\n1 x " .. PotionDifficultyColor(3355) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3823));

    elseif id == 3824 then -- Shadow Oil - Skill 165, 190, 210, 230
        return("4 x " .. PotionDifficultyColor(3818) .. "\n4 x " .. PotionDifficultyColor(3369) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3824));

    elseif id == 6049 then -- Fire Protection Potion - Skill 165, 210, 230, 250
        return("1 x " .. PotionDifficultyColor(4402) .. "\n1 x " .. HerbDifficultyColor(6371) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6049));

    elseif id == 3825 then -- Elixir of Fortitude - Skill 175, 195, 215, 235
        return("1 x " .. PotionDifficultyColor(3355) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3825));

    elseif id == 5633 then -- Great Rage Potion - Skill 175, 195, 215, 235
        return("1 x " .. HerbDifficultyColor(5637) .. "\n1 x " .. PotionDifficultyColor(3356) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(5633));

    elseif id == 3826 then -- Mighty Troll's Blood Potion - Skill 180, 200, 220, 240
        return("1 x " .. PotionDifficultyColor(3357) .. "\n1 x " .. PotionDifficultyColor(2453) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3826));

    elseif id == 8949 then -- Elixir of Agility - Skill 185, 205, 225, 245
        return("1 x " .. PotionDifficultyColor(3820) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(8949));

    elseif id == 6050 then -- Frost Protection Potion - Skill 190, 205, 225, 245
        return("1 x " .. PotionDifficultyColor(3819) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6050));

    elseif id == 6052 then -- Nature Protection Potion - Skill 190, 210, 230, 250
        return("1 x " .. PotionDifficultyColor(3357) .. "\n1 x " .. PotionDifficultyColor(3820) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6052));

    elseif id == 17708 then -- Elixir of Frost Power - Skill 190, 210, 230, 250
        return("2 x " .. PotionDifficultyColor(3819) .. "\n1 x " .. PotionDifficultyColor(3358) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17708));

    elseif id == 3828 then -- Elixir of Detect Lesser Invisibility - Skill 195, 215, 235, 255
        return("1 x " .. PotionDifficultyColor(3358) .. "\n1 x " .. PotionDifficultyColor(3818) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3828));

    elseif id == 8951 then -- Elixir of Greater Defense - Skill 195, 215, 235, 255
        return("1 x " .. PotionDifficultyColor(3355) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(8951));

    elseif id == 3829 then -- Frost Oil - Skill 200, 220, 240, 260
        return("4 x " .. PotionDifficultyColor(3358) .. "\n2 x " .. PotionDifficultyColor(3819) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3829));

    elseif id == 10592 then -- Catseye Elixir - Skill 200, 220, 240, 260
        return("1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. PotionDifficultyColor(3818) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(10592));

    elseif id == 6149 then -- Greater Mana Potion - Skill 205, 220, 240, 260
        return("1 x " .. PotionDifficultyColor(3358) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(6149));

    elseif id == 8956 then -- Oil of Immolation - Skill 205, 220, 240, 260
        return("1 x " .. PotionDifficultyColor(4625) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(8956));

    elseif id == 9036 then -- Magic Resistance Potion - Skill 210, 225, 245, 265
        return("1 x " .. PotionDifficultyColor(3358) .. "\n1 x " .. PotionDifficultyColor(8831) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9036));

    elseif id == 9061 then -- Goblin Rocket Fuel - Skill 210, 225, 245, 265
        return("1 x " .. PotionDifficultyColor(4625) .. "\n1 x " .. PotionDifficultyColor(9260) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9061));

    elseif id == 9030 then -- Restorative Potion - Skill 215, 225, 245, 265
        return("1 x " .. PotionDifficultyColor(7067) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9030));

    elseif id == 4623 then -- Lesser Stoneshield Potion - Skill 215, 230, 250, 270
        return("1 x " .. PotionDifficultyColor(3858) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(4623));

    elseif id == 3928 then -- Superior Healing Potion - Skill 215, 230, 250, 270
        return("1 x " .. PotionDifficultyColor(8838) .. "\n1 x " .. PotionDifficultyColor(3358) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3928));

    elseif id == 18294 then -- Elixir of Greater Water Breathing - Skill 215, 230, 250, 270
        return("1 x " .. PotionDifficultyColor(7972) .. "\n2 x " .. PotionDifficultyColor(8831) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(18294));

    elseif id == 9144 then -- Wildvine Potion - Skill 225, 240, 260, 280
        return("1 x " .. PotionDifficultyColor(8153) .. "\n1 x " .. PotionDifficultyColor(8831) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9144));

    elseif id == 9149 then -- Philosophers' Stone - Skill 225, 240, 260, 280
        return("4 x " .. PotionDifficultyColor(3575) .. "\n1 x " .. PotionDifficultyColor(9262) .. "\n4 x " .. PotionDifficultyColor(8831) .. "\n4 x " .. PotionDifficultyColor(4625) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9149));

    elseif (id == 11479) or (id == 3577) then -- Transmute: Iron to Gold - Skill 225, 240, 260, 280
        return("1 x " .. PotionDifficultyColor(3575) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(11479));

    elseif (id == 11480) or (id == 6037) then -- Transmute: Mithril to Truesilver - Skill 225, 240, 260, 280
        return("1 x " .. PotionDifficultyColor(3860).. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(11480));

    elseif id == 9154 then -- Elixir of Detect Undead - Skill 230, 245, 265, 285
        return("1 x " .. PotionDifficultyColor(8836) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9154));

    elseif id == 12190 then -- Dreamless Sleep Potion - Skill 230, 245, 265, 285
        return("3 x " .. PotionDifficultyColor(8831) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(12190));

    elseif id == 9155 then -- Arcane Elixir - Skill 235, 250, 270, 290
        return("1 x " .. PotionDifficultyColor(8839) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9155));

    elseif id == 9172 then -- Invisibility Potion - Skill 235, 250, 270, 290
        return("1 x " .. PotionDifficultyColor(8845) .. "\n1 x " .. PotionDifficultyColor(8838) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9172));

    elseif id == 9179 then -- Elixir of Greater Intellect - Skill 235, 250, 270, 290
        return("1 x " .. PotionDifficultyColor(8839) .. "\n1 x " .. PotionDifficultyColor(3358) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9179));

    elseif id == 9088 then -- Gift of Arthas - Skill 240, 255, 275, 295
        return("1 x " .. PotionDifficultyColor(8836) .. "\n1 x " .. PotionDifficultyColor(8839) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9088));

    elseif id == 9187 then -- Elixir of Greater Agility - Skill 240, 255, 275, 295
        return("1 x " .. PotionDifficultyColor(8838) .. "\n1 x " .. PotionDifficultyColor(3821) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9187));

    elseif id == 9197 then -- Elixir of Dream Vision - Skill 240, 255, 275, 295
        return("3 x " .. PotionDifficultyColor(8831) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9197));

    elseif id == 9206 then -- Elixir of Giants - Skill 245, 260, 280, 300
        return("1 x " .. PotionDifficultyColor(8838) .. "\n1 x " .. PotionDifficultyColor(8846) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9206));

    elseif id == 9210 then -- Ghost Dye - Skill 245, 260, 280, 300
        return("2 x " .. PotionDifficultyColor(8845) .. "\n1 x " .. PotionDifficultyColor(4342) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9210));

    elseif id == 13423 then -- Stonescale Oil - Skill 250, 250, 255, 260
        return("1 x " .. PotionDifficultyColor(13422) .. "\n1 x " .. L["3372"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13423));

    elseif id == 20747 then -- Lesser Mana Oil - Skill 250, 260, 270, 280
        return("1 x " .. PotionDifficultyColor(11176) .. "\n1 x " .. PotionDifficultyColor(8831) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(20747));

    elseif id == 20748 then -- Brilliant Mana Oil - Skill 300, 310, 320, 330
        return("2 x " .. PotionDifficultyColor(14344) .. "\n3 x " .. PotionDifficultyColor(8831) .. "\n1 x " .. L["18256"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(20748));

    elseif id == 9264 then -- Elixir of Shadow Power - Skill 250, 265, 285, 305
        return("3 x " .. PotionDifficultyColor(8845) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9264));

    elseif id == 9224 then -- Elixir of Demonslaying - Skill 250, 265, 285, 305
        return("1 x " .. PotionDifficultyColor(8846) .. "\n1 x " .. PotionDifficultyColor(8845) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9224));

    elseif id == 9233 then -- Elixir of Detect Demon - Skill 250, 265, 285, 305
        return("2 x " .. PotionDifficultyColor(8846) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(9233));

    elseif id == 21546 then -- Elixir of Greater Firepower - Skill 250, 265, 285, 305
        return("3 x " .. HerbDifficultyColor(6371) .. "\n3 x " .. PotionDifficultyColor(4625) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(21546));

    elseif id == 3387 then -- Limited Invulnerability Potion - Skill 250, 275, 295, 315
        return("2 x " .. PotionDifficultyColor(8839) .. "\n1 x " .. PotionDifficultyColor(8845) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(3387));

    elseif id == 13442 then -- Mighty Rage Potion - Skill 255, 270, 290, 310
        return("3 x " .. PotionDifficultyColor(8846) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13442));

    elseif id == 13443 then -- Superior Mana Potion - Skill 260, 275, 295, 315
        return("2 x " .. PotionDifficultyColor(8838) .. "\n2 x " .. PotionDifficultyColor(8839) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13443));

    elseif id == 13445 then -- Elixir of Superior Defense - Skill 265, 280, 300, 320
        return("2 x " .. HerbDifficultyColor(13423) .. "\n1 x " .. PotionDifficultyColor(8838) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13445));

    elseif id == 13447 then -- Elixir of the Sages - Skill 270, 285, 305, 325
        return("1 x " .. PotionDifficultyColor(13463) .. "\n2 x " .. PotionDifficultyColor(13466) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13447));

    elseif (id == 17187) or (id == 12360) then -- Transmute: Arcanite - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(12359) .. "\n1 x " .. PotionDifficultyColor(12363) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17187));

    elseif (id == 17559) or (id == 7078) then -- Transmute: Air to Fire - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(7082) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17559));

    elseif (id == 17560) or (id == 7076) then -- Transmute: Fire to Earth - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(7078) .. "\n" .. L["or"] .. "\n" .. "1 x " .. PotionDifficultyColor(12803) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17560));

    elseif (id == 17565) or (id == 7076) then -- Transmute: Life to Earth - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(12803) .. "\n" .. L["or"] .. "\n" .. "1 x " .. PotionDifficultyColor(7078) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17565));

    elseif id == (17561) or (id == 7080) then -- Transmute: Earth to Water - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(7076) .. "\n" .. L["or"] .. "\n" .. "1 x " .. PotionDifficultyColor(12808) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17561));

    elseif (id == 17563) or (id == 7080) then -- Transmute: Undeath to Water - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(12808) .. "\n" .. L["or"] .. "\n" .. "1 x " .. PotionDifficultyColor(7076) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17563));

    elseif (id == 17562) or (id == 7082) then -- Transmute: Water to Air - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(7080) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17562));

    elseif (id == 17564) or (id == 12808 ) then -- Transmute: Water to Undeath - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(7080) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17564));

    elseif (id == 17566) or (id == 12803) then -- Transmute: Earth to Life - Skill 275, 275, 282, 290
        return("1 x " .. PotionDifficultyColor(7076) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(17566));

    elseif id == 13446 then -- Major Healing Potion - Skill 275, 290, 310, 330
        return("2 x " .. PotionDifficultyColor(13464) .. "\n1 x " .. PotionDifficultyColor(13465) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13446));

    elseif id == 13453 then -- Elixir of Brute Force - Skill 275, 290, 310, 330
        return("2 x " .. PotionDifficultyColor(8846) .. "\n2 x " .. PotionDifficultyColor(13466) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13453));

    elseif id == 20007 then -- Mageblood Potion - Skill 275, 290, 310, 330
        return("1 x " .. PotionDifficultyColor(13463) .. "\n2 x " .. PotionDifficultyColor(13466) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(20007));

    elseif id == 20002 then -- Greater Dreamless Sleep Potion - Skill 275, 290, 310, 330
        return("2 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. PotionDifficultyColor(13464) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(20002));

    elseif id == 13455 then -- Greater Stoneshield Potion - Skill 280, 295, 315, 335
        return("3 x " .. HerbDifficultyColor(13423) .. "\n1 x " .. PotionDifficultyColor(10620) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13455));

    elseif id == 13452 then -- Elixir of the Mongoose - Skill 280, 295, 315, 335
        return("2 x " .. PotionDifficultyColor(13465) .. "\n2 x " .. PotionDifficultyColor(13466) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13452));

    elseif id == 13462 then -- Purification Potion - Skill 285, 300, 320, 340
        return("2 x " .. PotionDifficultyColor(13467) .. "\n2 x " .. PotionDifficultyColor(13466) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13462));

    elseif id == 13454 then -- Greater Arcane Elixir - Skill 285, 300, 320, 340
        return("3 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. PotionDifficultyColor(13465) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13454));

    elseif id == 20008 then -- Living Action Potion - Skill 285, 300, 320, 340
        return("2 x " .. PotionDifficultyColor(13467) .. "\n2 x " .. PotionDifficultyColor(13465) .. "\n2 x " .. PotionDifficultyColor(10286) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(20008));

    elseif id == 13457 then -- Greater Fire Protection Potion - Skill 290, 305, 325, 345
        return("1 x " .. PotionDifficultyColor(7068) .. "\n1 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13457));

    elseif id == 13456 then -- Greater Frost Protection Potion - Skill 290, 305, 325, 345
        return("1 x " .. PotionDifficultyColor(7070) .. "\n1 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13456));

    elseif id == 13458 then -- Greater Nature Protection Potion - Skill 290, 305, 325, 345
        return("1 x " .. PotionDifficultyColor(7067) .. "\n1 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13458));

    elseif id == 13461 then -- Greater Arcane Protection Potion - Skill 290, 305, 325, 345
        return("1 x " .. PotionDifficultyColor(11176) .. "\n1 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13461));

    elseif id == 13459 then -- Greater Shadow Protection Potion - Skill 290, 305, 325, 345
        return("1 x " .. HerbDifficultyColor(3824) .. "\n1 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13459));

    elseif id == 20004 then -- Major Troll's Blood Potion - Skill 290, 305, 325, 345
        return("1 x " .. PotionDifficultyColor(8846) .. "\n2 x " .. PotionDifficultyColor(13466) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(20004));

    elseif id == 13444 then -- Major Mana Potion - Skill 295, 310, 330, 350
        return("3 x " .. PotionDifficultyColor(13463) .. "\n2 x " .. PotionDifficultyColor(13467) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13444));

    elseif (id == 25146) or (id == 7068) then -- Transmute: Elemental Fire - Skill 300, 301, 305, 310
        return("1 x " .. PotionDifficultyColor(7077) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(25146));

    elseif id == 18253 then -- Major Rejuvenation Potion - Skill 300, 310, 320, 330
        return("1 x " .. PotionDifficultyColor(10286) .. "\n4 x " .. PotionDifficultyColor(13464) .. "\n4 x " .. PotionDifficultyColor(13463) .. "\n1 x " .. L["18256"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(18253));

    elseif id == 13503 then -- Alchemist's Stone - Skill 300, 315, 322, 330
        return("8 x " .. PotionDifficultyColor(7078) .. "\n x " .. PotionDifficultyColor(7076) .. "\n8 x " .. PotionDifficultyColor(7082) .. "\n8 x " .. PotionDifficultyColor(7080) .. "\n8 x " .. PotionDifficultyColor(12803) .. "\n2 x " .. PotionDifficultyColor(9262) .. "\n4 x " .. PotionDifficultyColor(13468) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13503));

    elseif id == 13506 then -- Flask of Petrification - Skill 300, 315, 322, 330
        return("30 x " .. HerbDifficultyColor(13423) .. "\n10 x " .. PotionDifficultyColor(13465) .. "\n1 x " .. PotionDifficultyColor(13468) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13506));

    elseif id == 13510 then -- Flask of the Titans - Skill 300, 315, 322, 330
        return("30 x " .. PotionDifficultyColor(8846) .. "\n10 x " .. HerbDifficultyColor(13423) .. "\n1 x " .. PotionDifficultyColor(13468) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13510));

    elseif id == 13511 then -- Flask of Distilled Wisdom - Skill 300, 315, 322, 330
        return("30 x " .. PotionDifficultyColor(13463) .. "\n10 x " .. PotionDifficultyColor(13467) .. "\n1 x " .. PotionDifficultyColor(13468) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13511));

    elseif id == 13512 then -- Flask of Supreme Power - Skill 300, 315, 322, 330
        return("30 x " .. PotionDifficultyColor(13463) .. "\n10 x " .. PotionDifficultyColor(13465) .. "\n1 x " .. PotionDifficultyColor(13468) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13512));

    elseif id == 13513 then -- Flask of Chromatic Resistance - Skill 300, 315, 322, 330
        return("30 x " .. PotionDifficultyColor(13467) .. "\n10 x " .. PotionDifficultyColor(13465) .. "\n1 x " .. PotionDifficultyColor(13468) .. "\n1 x " .. L["8925"] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(13513));

    elseif id == 19931 then -- Gurubashi Mojo Madness - Skill 300, 315, 322, 330
        return("1 x " .. PotionDifficultyColor(12938) .. "\n1 x " .. PotionDifficultyColor(19943) .. "\n6 x " .. PotionDifficultyColor(12804) .. "\n1 x " .. PotionDifficultyColor(13468) .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel(19931));

--[[

    elseif id ==  then --  - Skill 
        return(" x " .. PotionDifficultyColor() .. "\n x " .. PotionDifficultyColor() .. "\n1 x " .. L[""] .. "\n\n" .. L["AlchemySkill"] .. PotionSkillLevel());

]]--
-- ************************************************************
-- ************************ Other items ***********************
-- ************************************************************

    -- None at the moment.

    end
end




































