-- Make sure that it's the right local file there is used.
if (GetLocale() ~= "koKR") then
    return
end

--[[

    If you would like to help with the translation, then please mail your translation to:
        Secret.SubbyDK@Gmail.com
    Or you can fine me on the "Pyrewood Village" EU server, Horde side.
        Subby
        Sheeps
        Bandog
    Or you can find me on Discord:
        SubbyDK#8113

************************************************************************************************************************

	Contribution pattern: DD/MM/YYYY - nickname (character name ingame) - server - Faction - what did you do to help
	
    All the credit for the translation goes to:

        (Put your name info here please, don't delete if anyone else is here, then write under them.)
        
        Thanks to LockCole for the great work. :)

    Please change "NewTranslation" to "false" when everything is translated.

    Thanks a lot for the help. ;)
]]--

-- Set some locals
local NewTranslation = false
local KeepTheHerbs, namespace = ...
local ShowLocalization = true


-- A small message to show the addon is loaded and if we need help with translations.
function Welcome()
    i = 1
    while i < 10 do
        i = i + 1
        if i >= 10 then
            DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r 가 로드 되었습니다.");
            -- is there any new translation ?
            if NewTranslation ~= false then
                DEFAULT_CHAT_FRAME:AddMessage("|cffffff7f애드온은 여전히 약간의 번역이 필요합니다.");
            end
        end
    end
end

-- 
local L = setmetatable({}, { __index = function(t, i)
	local value = tostring(i)
    if value == nil then
        DEFAULT_CHAT_FRAME:AddMessage("어떤 이유로 'localization.koKR' 파일에서 값을 찾을 수 없습니다.");
        DEFAULT_CHAT_FRAME:AddMessage("수행 한 작업에 대한 정보와 함께 이 버그를 보고하십시오.");
        return
    end
	rawset(t, i, value)
	return value
end })


-- ************************************************************
-- *************************  *************************
-- ************************************************************

namespace.L = L

    -- Word or sentences there is used in the addon.
    L["strAlchemy"]	= "연금술";                                       -- enUS = "Alchemy"             <-- Very important that this is 100% correct, check it in-game with /script FindLocal()
    L["strHerbalism"] = "약초 채집";                                   -- enUS = "Herbalism"           <-- Very important that this is 100% correct check it in-game with /script FindLocal()
    L["Bought"] = "상점 구입";                                         -- enUS = "Bought from vendor."
    L["HerbSkil"] = "약초 채집 숙련도: ";                                 -- enUS = "Herbing difficulty: "
    L["AlchemySkill"] = "연금술 숙련도: ";                               -- enUS = "Alchemy skill: "
    L["Used"] = "연금술사에 의해 사용:";                                    -- enUS = "Used by alchemists for:"
    L["Mats"] = "사용 된 재료:";                                         -- enUS = "Materials used:"
    L["Swifthistle"] = "[찔레가시] 와 [마법초 꽃잎] 에서 획득.";                 -- enUS = "Found with [Briarthorn] and [Mageroyal]."
    L["Wildvine"] = "[보라 연꽃] 에서 획득.";                               -- enUS = "Found with [Purple Lotus]."
    L["or"] = "또는"                                                   -- enUS = "or"

    -- All the things there can be made with Alchemy.
    L["118"] = "최하급 치유 물약";                                         -- enUS = "Minor Healing Potion"
    L["2454"] = "사자의 힘 비약";                                         -- enUS = "Elixir of Lion's Strength"
    L["5997"] = "최하급 방어의 비약";                                       -- enUS = "Elixir of Minor Defense"   
    L["3382"] = "약한 재생의 물약";                                        -- enUS = "Weak Troll's Blood Potion"
    L["2455"] = "최하급 마나 물약";                                        -- enUS = "Minor Mana Potion"
    L["2456"] = "최하급 회복 물약";                                        -- enUS = "Minor Rejuvenation Potion"
    L["2458"] = "최하급 인내의 비약";                                       -- enUS = "Elixir of Minor Fortitude"
    L["2457"] = "최하급 민첩의 비약";                                       -- enUS = "Elixir of Minor Agility"
    L["4596"] = "빛바랜 치유 물약";                                        -- enUS = "Discolored Healing Potion"
    L["858"] = "하급 치유 물약";                                          -- enUS = "Lesser Healing Potion"
    L["2459"] = "신속의 물약";                                           -- enUS = "Swiftness Potion"
    L["5631"] = "분노의 물약";                                           -- enUS = "Rage Potion"
    L["6370"] = "아귀 오일";                                            -- enUS = "Blackmouth Oil"
    L["3383"] = "지혜의 비약";                                           -- enUS = "Elixir of Wisdom"
    L["929"] = "치유 물약";                                             -- enUS = "Healing Potion"
    L["5996"] = "수중 호흡의 비약";                                        -- enUS = "Elixir of Water Breathing"
    L["6662"] = "성장의 비약";                                           -- enUS = "Elixir of Giant Growth"
    L["6051"] = "신성 보호 물약";                                         -- enUS = "Holy Protection Potion"
    L["6372"] = "신속한 수영 물약";                                         -- enUS = "Swim Speed Potion"
    L["3384"] = "최하급 마법 저항 물약";                                         -- enUS = "Minor Magic Resistance Potion"
    L["3385"] = "하급 마나 물약";                                         -- enUS = "Lesser Mana Potion"
    L["3386"] = "독 저항의 비약";                                         -- enUS = "Elixir of Poison Resistance"
    L["3388"] = "강한 재생의 물약";                                         -- enUS = "Strong Troll's Blood Potion"
    L["6371"] = "화염 오일";                                         -- enUS = "Fire Oil"
    L["3389"] = "방어의 비약";                                         -- enUS = "Elixir of Defense"
    L["6048"] = "암흑 보호 물약";                                         -- enUS = "Shadow Protection Potion"
    L["3390"] = "하급 민첩의 비약";                                         -- enUS = "Elixir of Lesser Agility"
    L["6373"] = "화염 강화의 비약";                                         -- enUS = "Elixir of Firepower"
    L["3391"] = "오우거 힘의 비약";                                         -- enUS = "Elixir of Ogre's Strength"
    L["5634"] = "자유 의지의 물약";                                         -- enUS = "Free Action Potion"
    L["1710"] = "상급 치유 물약";                                         -- enUS = "Greater Healing Potion"
    L["3827"] = "마나 물약";                                         -- enUS = "Mana Potion"
    L["3823"] = "하급 투명 물약";                                         -- enUS = "Lesser Invisibility Potion"
    L["3824"] = "암흑 오일";                                         -- enUS = "Shadow Oil"
    L["6049"] = "화염 보호 물약";                                         -- enUS = "Fire Protection Potion"
    L["3825"] = "인내의 비약";                                         -- enUS = "Elixir of Fortitude"
    L["5633"] = "상급 분노의 물약";                                         -- enUS = "Great Rage Potion"
    L["3826"] = "강력한 재생의 물약";                                         -- enUS = "Mighty Troll's Blood Potion"
    L["8949"] = "민첩의 비약";                                         -- enUS = "Elixir of Agility"
    L["6050"] = "냉기 보호 물약";                                         -- enUS = "Frost Protection Potion"
    L["6052"] = "자연 보호 물약";                                         -- enUS = "Nature Protection Potion"
    L["17708"] = "냉기 강화의 비약";                                         -- enUS = "Elixir of Frost Power"
    L["3828"] = "하급 투명체 감지의 비약";                                         -- enUS = "Elixir of Detect Lesser Invisibility"
    L["8951"] = "상급 방어의 비약";                                         -- enUS = "Elixir of Greater Defense"
    L["3829"] = "냉기 오일";                                         -- enUS = "Frost Oil"
    L["10592"] = "고양이눈 비약";                                         -- enUS = "Catseye Elixir"
    L["6149"] = "상급 마나 물약";                                         -- enUS = "Greater Mana Potion"
    L["8956"] = "제물의 오일";                                         -- enUS = "Oil of Immolation"
    L["9036"] = "마법 저항 물약";                                         -- enUS = "Magic Resistance Potion"
    L["9061"] = "고블린 로켓 연료";                                         -- enUS = "Goblin Rocket Fuel"
    L["9030"] = "복원의 물약";                                         -- enUS = "Restorative Potion"
    L["4623"] = "하급 돌방패 물약";                                         -- enUS = "Lesser Stoneshield Potion"
    L["3928"] = "최상급 치유 물약";                                         -- enUS = "Superior Healing Potion"
    L["18294"] = "상급 수중 호흡의 비약";                                         -- enUS = "Elixir of Greater Water Breathing"
    L["9144"] = "야생덩굴 물약";                                         -- enUS = "Wildvine Potion"
    L["9149"] = "연금술사의 돌";                                         -- enUS = "Philosophers' Stone"
    L["9154"] = "언데드 감지의 비약";                                         -- enUS = "Elixir of Detect Undead"
    L["12190"] = "숙면의 물약";                                         -- enUS = "Dreamless Sleep Potion"
    L["9155"] = "신비의 비약";                                         -- enUS = "Arcane Elixir"
    L["9172"] = "투명 물약";                                         -- enUS = "Invisibility Potion"
    L["9179"] = "상급 지능의 비약";                                         -- enUS = "Elixir of Greater Intellect"
    L["9088"] = "아서스의 선물";                                         -- enUS = "Gift of Arthas"
    L["9187"] = "상급 민첩의 비약";                                         -- enUS = "Elixir of Greater Agility"
    L["9197"] = "몽상의 비약";                                         -- enUS = "Elixir of Dream Vision"
    L["9206"] = "거인의 비약";                                         -- enUS = "Elixir of Giants"
    L["9210"] = "유령 염료";                                         -- enUS = "Ghost Dye"
    L["13423"] = "돌비늘 오일";                                         -- enUS = "Stonescale Oil"
    L["20747"] = "하급 마나 오일";                                         -- enUS = "Lesser Mana Oil"
    L["20748"] = "반짝이는 마나 오일";                                         -- enUS = "Brilliant Mana Oil"
    L["9264"] = "암흑 강화의 비약";                                         -- enUS = "Elixir of Shadow Power"
    L["9224"] = "악마 사냥 전문화의 비약";                                         -- enUS = "Elixir of Demonslaying"
    L["9233"] = "악마 감지의 비약";                                         -- enUS = "Elixir of Detect Demon"
    L["21546"] = "상급 화염 강화의 비약";                                         -- enUS = "Elixir of Greater Firepower"
    L["3387"] = "제한된 무적 물약";                                         -- enUS = "Limited Invulnerability Potion"
    L["13442"] = "강력한 분노의 물약";                                         -- enUS = "Mighty Rage Potion"
    L["13443"] = "최상급 마나 물약";                                         -- enUS = "Superior Mana Potion"
    L["13445"] = "최상급 방어의 비약";                                         -- enUS = "Elixir of Superior Defense"
    L["13447"] = "현인의 비약";                                         -- enUS = "Elixir of the Sages"
    L["13446"] = "일급 치유 물약";                                         -- enUS = "Major Healing Potion"
    L["13453"] = "야수 힘의 비약";                                         -- enUS = "Elixir of Brute Force"
    L["20007"] = "마력의 물약";                                         -- enUS = "Mageblood Potion"
    L["20002"] = "상급 숙면의 물약";                                         -- enUS = "Greater Dreamless Sleep Potion"
    L["13455"] = "상급 돌방패 물약";                                         -- enUS = "Greater Stoneshield Potion"
    L["13452"] = "살쾡이의 비약";                                         -- enUS = "Elixir of the Mongoose"
    L["13462"] = "정화 물약";                                         -- enUS = "Purification Potion"
    L["13454"] = "상급 신비의 비약";                                         -- enUS = "Greater Arcane Elixir"
    L["20008"] = "자유 행동의 물약";                                         -- enUS = "Living Action Potion"
    L["13457"] = "상급 화염 보호 물약";                                         -- enUS = "Greater Fire Protection Potion"
    L["13456"] = "상급 냉기 보호 물약";                                         -- enUS = "Greater Frost Protection Potion"
    L["13458"] = "상급 자연 보호 물약";                                         -- enUS = "Greater Nature Protection Potion"
    L["13461"] = "상급 비전 보호 물약";                                         -- enUS = "Greater Arcane Protection Potion"
    L["13459"] = "상급 암흑 보호 물약";                                         -- enUS = "Greater Shadow Protection Potion"
    L["20004"] = "일급 재생의 물약";                                         -- enUS = "Major Troll's Blood Potion"
    L["13444"] = "일급 마나 물약";                                         -- enUS = "Major Mana Potion"
    L["18253"] = "일급 회복 물약";                                         -- enUS = "Major Rejuvenation Potion"
    L["13503"] = "현자의 돌";                                         -- enUS = "Alchemist's Stone"
    L["13506"] = "석화의 영약";                                         -- enUS = "Flask of Petrification"
    L["13510"] = "티탄의 영약";                                         -- enUS = "Flask of the Titans"
    L["13511"] = "순수한 지혜의 영약";                                         -- enUS = "Flask of Distilled Wisdom"
    L["13512"] = "강력한 마력의 영약";                                         -- enUS = "Flask of Supreme Power"
    L["13513"] = "마력 저항의 영약";                                         -- enUS = "Flask of Chromatic Resistance"
    L["19931"] = "광기의 구루바시 모조";                                         -- enUS = "Gurubashi Mojo Madness"
	
    -- All the spells used in Alchemy

    L["11479"] = "변환식: 철을 금으로";                                         -- enUS = "Transmute: Iron to Gold"
    L["11480"] = "변환식: 미스릴을 진은으로";                                         -- enUS = "Transmute: Mithril to Truesilver"
    L["25146"] = "변환식: 자연의 불꽃";                                         -- enUS = "Transmute: Elemental Fire"
    L["17187"] = "변환식: 아케이나이트";                                         -- enUS = "Transmute: Arcanite"
    L["17559"] = "변환식: 바람을 불로";                                         -- enUS = "Transmute: Air to Fire"
    L["17560"] = "변환식: 불을 대지로";                                         -- enUS = "Transmute: Fire to Earth"
    L["17561"] = "변환식: 대지를 물로";                                         -- enUS = "Transmute: Earth to Water"
    L["17562"] = "변환식: 물을 바람으로";                                         -- enUS = "Transmute: Water to Air"
    L["17563"] = "변환식: 불사를 물로";                                         -- enUS = "Transmute: Undeath to Water"
    L["17564"] = "변환식: 물을 불사로";                                         -- enUS = "Transmute: Water to Undeath"
    L["17565"] = "변환식: 생명을 대지로";                                         -- enUS = "Transmute: Life to Earth"
    L["17566"] = "변환식: 대지를 생명으로";                                         -- enUS = "Transmute: Earth to Life"

    -- All the herbs used for potions.

    L["2447"] = "평온초 꽃잎";                                         -- enUS = "Peacebloom"
    L["765"] = "은엽수잎";                                         -- enUS = "Silverleaf"
    L["2449"] = "뱀뿌리";                                         -- enUS = "Earthroot"
    L["785"] = "마법초 꽃잎";                                         -- enUS = "Mageroyal"
    L["2450"] = "찔레가시";                                         -- enUS = "Briarthorn"
    L["2452"] = "토끼엉겅퀴풀";                                         -- enUS = "Swifthistle"
    L["3820"] = "갈래물풀";                                         -- enUS = "Stranglekelp"
    L["2453"] = "생채기풀";                                         -- enUS = "Bruiseweed"
    L["3355"] = "야생 철쭉";                                         -- enUS = "Wild Steelbloom"
    L["3369"] = "무덤이끼";                                         -- enUS = "Grave Moss"
    L["3356"] = "왕꽃잎풀";                                         -- enUS = "Kingsblood"
    L["3357"] = "생명의 뿌리";                                         -- enUS = "Liferoot"
    L["3818"] = "미명초잎";                                         -- enUS = "Fadeleaf"
    L["3821"] = "황금가시";                                         -- enUS = "Goldthorn"
    L["3358"] = "카드가의 수염";                                         -- enUS = "Khadgar's Whisker"
    L["3819"] = "겨울서리풀";                                         -- enUS = "Wintersbite"
    L["4625"] = "화염초 꽃잎";                                         -- enUS = "Firebloom"
    L["8831"] = "보라 연꽃";                                         -- enUS = "Purple Lotus"
    L["8153"] = "야생덩굴";                                         -- enUS = "Wildvine"
    L["8836"] = "아서스의 눈물";                                         -- enUS = "Arthas' Tears"
    L["8838"] = "태양풀";                                         -- enUS = "Sungrass"
    L["8839"] = "실명초";                                         -- enUS = "Blindweed"
    L["8845"] = "유령버섯";                                         -- enUS = "Ghost Mushroom"
    L["8846"] = "그롬의 피";                                         -- enUS = "Gromsblood"
    L["13464"] = "황금 산삼";                                         -- enUS = "Golden Sansam"
    L["13463"] = "꿈풀";                                         -- enUS = "Dreamfoil"
    L["13465"] = "은초롱이";                                         -- enUS = "Mountain Silversage"
    L["13466"] = "역병초 꽃잎";                                         -- enUS = "Plaguebloom"
    L["13467"] = "얼음송이";                                         -- enUS = "Icecap"
    L["13468"] = "검은 연꽃";                                         -- enUS = "Black Lotus"

    -- All the Vail's used for potions.

    L["3371"] = "유리 약병";                                         -- enUS = "Empty Vial"
    L["3372"] = "가연 약병";                                         -- enUS = "Leaded Vial"
    L["8925"] = "수정 약병";                                         -- enUS = "Crystal Vial"
    L["18256"] = "마법 약병";                                         -- enUS = "Imbued Vial"

    -- All the rest used for potions.
    L["5635"] = "날카로운 발톱";                                         -- enUS = "Sharp Claw"
    L["6358"] = "기름기 많은 아귀";                                         -- enUS = "Oily Blackmouth"
    L["6359"] = "불지느러미퉁돔";                                         -- enUS = "Firefin Snapper"
    L["3164"] = "변색된 검은늑대 심장";                                         -- enUS = "Discolored Worg Heart"
    L["6522"] = "돌연변이 물고기";                                         -- enUS = "Deviate Fish"
    L["3575"] = "철 주괴";                                         -- enUS = "Iron Bar"
    L["9262"] = "검은 황산";                                         -- enUS = "Black Vitriol"
    L["7972"] = "불사의 영액";                                         -- enUS = "Ichor of Undeath"
    L["3858"] = "미스릴 광석";                                         -- enUS = "Mithril Ore"
    L["4402"] = "작은 불꽃주머니";                                         -- enUS = "Small Flame Sac"
    L["3860"] = "미스릴 주괴";                                         -- enUS = "Mithril Bar"
    L["10620"] = "토륨 광석";                                         -- enUS = "Thorium Ore"
    L["7076"] = "대지의 정수";                                         -- enUS = "Essence of Earth"
    L["12359"] = "토륨 주괴";                                         -- enUS = "Thorium Bar"
    L["12363"] = "신비한 수정";                                         -- enUS = "Arcane Crystal"
    L["13422"] = "돌비늘뱀장어";                                         -- enUS = "Stonescale Eel"
    L["11176"] = "꿈가루";                                         -- enUS = "Dream Dust"
    L["7077"] = "불의 심장";                                         -- enUS = "Heart of Fire"
    L["7080"] = "물의 정수";                                         -- enUS = "Essence of Water"
    L["10286"] = "야생의 싹";                                         -- enUS = "Heart of the Wild"
    L["7067"] = "대지의 원소";                                         -- enUS = "Elemental Earth"
    L["7078"] = "불의 정수";                                         -- enUS = "Essence of Fire"
    L["12803"] = "생명의 정수";                                         -- enUS = "Living Essence"
    L["12808"] = "불사의 정수";                                         -- enUS = "Essence of Undeath"
    L["1288"] = "큰 독주머니";                                         -- enUS = "Large Venom Sac"
    L["7068"] = "불의 원소";                                         -- enUS = "Elemental Fire"
    L["12938"] = "영웅의 피";                                     -- enUS = "Blood of Heroes"
    L["19943"] = "강대한 모조";                                        -- enUS = "Massive Mojo"
    L["12804"] = "강력한 모조";                                       -- enUS = "Powerful Mojo"
    L["7070"] = "물의 원소";                                         -- enUS = "Elemental Water"
    L["9260"] = "독한 럼주";                                         -- enUS = "Volatile Rum"
    L["7082"] = "바람의 정수";                                       -- enUS = "Essence of Air"
    L["4342"]  "자색 염료";                                            -- enUS = "Purple Dye"