-- Make sure that it's the right local file there is used.
if (GetLocale() ~= "ruRU") then
    return
end

--[[

    If you would like to help with the translation, then please mail your translation to:
        Secret.SubbyDK@Gmail.com
    Or you can fine me on the "Pyrewood Village" EU server, Horde side.
        Subby
        Sheeps
        Bandog
    Or you can find me on Discord:
        SubbyDK#8113

************************************************************************************************************************

	Contribution pattern: DD/MM/YYYY - nickname (character name ingame) - server - Faction - what did you do to help
	
    All the credit for the translation goes to:

        21/08/2020 - dgigel (Йуф) - Змейталак - Альянс - полный перевод

    Please change "NewTranslation" to "false" when everything is translated.

    Thanks a lot for the help. ;)
]]--

-- Set some locals
local NewTranslation = false
local KeepTheHerbs, namespace = ...
local ShowLocalization = true


-- A small message to show the addon is loaded and if we need help with translations.
function Welcome()
    i = 1
    while i < 10 do
        i = i + 1
        if i >= 10 then
            DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r загружен.");
            -- is there any new translation ?
            if NewTranslation ~= false then
                DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r Аддон все еще нуждается в переводе.");
            end
        end
    end
end

-- 
local L = setmetatable({}, { __index = function(t, i)
	local value = tostring(i)
    if value == nil then
        DEFAULT_CHAT_FRAME:AddMessage("По какой-то причине значение не нашлось в файле 'localization.ruRU'.");
        DEFAULT_CHAT_FRAME:AddMessage("Пожалуйста, сообщите об этой ошибке с информацией о том, что вы делали до её возникновения.");
        return
    end
	rawset(t, i, value)
	return value
end })


-- ************************************************************
-- *************************  *************************
-- ************************************************************

namespace.L = L

    -- Word or sentences there is used in the addon.

    L["strAlchemy"] = "Алхимия";                                        -- enUS = "Alchemy"             <-- Very important that this is 100% correct, check it in-game with /script FindLocal()
    L["strHerbalism"] = "Травничество";                                 -- enUS = "Herbalism"           <-- Very important that this is 100% correct check it in-game with /script FindLocal()
    L["Bought"] = "Покупается у продавца.";                             -- enUS = "Bought from vendor."
    L["HerbSkil"] = "Сложность сбора: ";                                -- enUS = "Herbing difficulty: "
    L["AlchemySkill"] = "Уровень алхимии: ";                            -- enUS = "Alchemy skill: "
    L["Used"] = "Используется алхимиками для:";                         -- enUS = "Used by alchemists for:"
    L["Mats"] = "Используемые материалы:";                              -- enUS = "Materials used:"
    L["Swifthistle"] = "Находится вместе с [Остротерн] и [Магороза].";  -- enUS = "Found with [Briarthorn] and [Mageroyal]."
    L["Wildvine"] = "Находится вместе с [Лиловый лотос].";              -- enUS = "Found with [Purple Lotus]."
    L["or"] = "или"                                                     -- enUS = "or"

    -- All the things there can be made with Alchemy.
    --      https://ru.classic.wowhead.com/item=

    L["118"] = "Слабое лечебное зелье";                                  -- enUS = "Minor Healing Potion"
    L["2454"] = "Эликсир львиной силы";                                  -- enUS = "Elixir of Lion's Strength"
    L["5997"] = "Слабый эликсир защиты";                                 -- enUS = "Elixir of Minor Defense"   
    L["3382"] = "Слабое зелье тролльей крови";                           -- enUS = "Weak Troll's Blood Potion"
    L["2455"] = "Слабое зелье маны";                                     -- enUS = "Minor Mana Potion"
    L["2456"] = "Слабое зелье омоложения";                               -- enUS = "Minor Rejuvenation Potion"
    L["2458"] = "Слабый эликсир стойкости";                              -- enUS = "Elixir of Minor Fortitude"
    L["2457"] = "Слабый эликсир ловкости";                               -- enUS = "Elixir of Minor Agility"
    L["4596"] = "Бесцветное лечебное зелье";                             -- enUS = "Discolored Healing Potion"
    L["858"] = "Простое лечебное зелье";                                 -- enUS = "Lesser Healing Potion"
    L["2459"] = "Зелье скорости";                                        -- enUS = "Swiftness Potion"
    L["5631"] = "Зелье ярости";                                          -- enUS = "Rage Potion"
    L["6370"] = "Масло черноротика";                                     -- enUS = "Blackmouth Oil"
    L["3383"] = "Эликсир Мудрости";                                      -- enUS = "Elixir of Wisdom"
    L["929"] = "Лечебное зелье";                                         -- enUS = "Healing Potion"
    L["5996"] = "Эликсир водного дыхания";                               -- enUS = "Elixir of Water Breathing"
    L["6662"] = "Эликсир увеличения";                                    -- enUS = "Elixir of Giant Growth"
    L["6051"] = "Зелье священной защиты";                                -- enUS = "Holy Protection Potion"
    L["6372"] = "Зелье быстрого плавания";                               -- enUS = "Swim Speed Potion"
    L["3384"] = "Cлабый эликсир сопротивления магии";                    -- enUS = "Minor Magic Resistance Potion"
    L["3385"] = "Простое зелье маны";                                    -- enUS = "Lesser Mana Potion"
    L["3386"] = "Эликсир сопротивления яду";                             -- enUS = "Elixir of Poison Resistance"
    L["3388"] = "Крепкое зелье тролльей крови";                          -- enUS = "Strong Troll's Blood Potion"
    L["6371"] = "Зажигательное масло";                                   -- enUS = "Fire Oil"
    L["3389"] = "Эликсир защиты";                                        -- enUS = "Elixir of Defense"
    L["6048"] = "Зелье защиты от темной магии";                          -- enUS = "Shadow Protection Potion"
    L["3390"] = "Эликсир ловкости I ступени";                            -- enUS = "Elixir of Lesser Agility"
    L["6373"] = "Эликсир огневой мощи";                                  -- enUS = "Elixir of Firepower"
    L["3391"] = "Эликсир силы огра";                                     -- enUS = "Elixir of Ogre's Strength"
    L["5634"] = "Зелье свободы действий";                                -- enUS = "Free Action Potion"
    L["1710"] = "Сильное лечебное зелье";                                -- enUS = "Greater Healing Potion"
    L["3827"] = "Зелье маны";                                            -- enUS = "Mana Potion"
    L["3823"] = "Зелье простой невидимости";                             -- enUS = "Lesser Invisibility Potion"
    L["3824"] = "Масло Тьмы";                                            -- enUS = "Shadow Oil"
    L["6049"] = "Зелье защиты от огня";                                  -- enUS = "Fire Protection Potion"
    L["3825"] = "Эликсир стойкости";                                     -- enUS = "Elixir of Fortitude"
    L["5633"] = "Сильнодействующее зелье ярости";                        -- enUS = "Great Rage Potion"
    L["3826"] = "Мощное зелье тролльей крови";                           -- enUS = "Mighty Troll's Blood Potion"
    L["8949"] = "Эликсир Ловкости";                                      -- enUS = "Elixir of Agility"
    L["6050"] = "Зелье защиты от магии льда";                            -- enUS = "Frost Protection Potion"
    L["6052"] = "Зелье защиты от сил природы";                           -- enUS = "Nature Protection Potion"
    L["17708"] = "Эликсир Силы льда";                                    -- enUS = "Elixir of Frost Power"
    L["3828"] = "Эликсир обнаружения простой невидимости";               -- enUS = "Elixir of Detect Lesser Invisibility"
    L["8951"] = "Сильный эликсир защиты";                                -- enUS = "Elixir of Greater Defense"
    L["3829"] = "Масло льда";                                            -- enUS = "Frost Oil"
    L["10592"] = "Эликсир \"Кошачий глаз\"";                             -- enUS = "Catseye Elixir"
    L["6149"] = "Сильное зелье маны";                                    -- enUS = "Greater Mana Potion"
    L["8956"] = "Воспламеняющая смесь";                                  -- enUS = "Oil of Immolation"
    L["9036"] = "Зелье защиты от магии";                                 -- enUS = "Magic Resistance Potion"
    L["9061"] = "Гоблинское ракетное топливо";                           -- enUS = "Goblin Rocket Fuel"
    L["9030"] = "Приводящее в сознание зелье";                           -- enUS = "Restorative Potion"
    L["4623"] = "Простое зелье каменного щита";                          -- enUS = "Lesser Stoneshield Potion"
    L["3928"] = "Мощное лечебное зелье";                                 -- enUS = "Superior Healing Potion"
    L["18294"] = "Сильный эликсир водного дыхания";                      -- enUS = "Elixir of Greater Water Breathing"
    L["9144"] = "Зелье из дикой лозы";                                   -- enUS = "Wildvine Potion"
    L["9149"] = "Философский камень";                                    -- enUS = "Philosophers' Stone"
    L["9154"] = "Эликсир обнаружения Нежити";                            -- enUS = "Elixir of Detect Undead"
    L["12190"] = "Зелье спокойного сна";                                 -- enUS = "Dreamless Sleep Potion"
    L["9155"] = "Чародейский эликсир";                                   -- enUS = "Arcane Elixir"
    L["9172"] = "Зелье невидимости";                                     -- enUS = "Invisibility Potion"
    L["9179"] = "Сильный эликсир интеллекта";                            -- enUS = "Elixir of Greater Intellect"
    L["9088"] = "Эликсир \"Дар Артаса\"";                                -- enUS = "Gift of Arthas"
    L["9187"] = "Сильный эликсир ловкости";                              -- enUS = "Elixir of Greater Agility"
    L["9197"] = "Эликсир Снозрения";                                     -- enUS = "Elixir of Dream Vision"
    L["9206"] = "Эликсир великанов";                                     -- enUS = "Elixir of Giants"
    L["9210"] = "Призрачная краска";                                     -- enUS = "Ghost Dye"
    L["13423"] = "Масло каменного угря";                                 -- enUS = "Stonescale Oil"
    L["20747"] = "Простое масло маны";                                   -- enUS = "Lesser Mana Oil"
    L["20748"] = "Сверкающее масло маны";                                -- enUS = "Brilliant Mana Oil"
    L["9264"] = "Эликсир силы тьмы";                                     -- enUS = "Elixir of Shadow Power"
    L["9224"] = "Эликсир истребления демонов";                           -- enUS = "Elixir of Demonslaying"
    L["9233"] = "Эликсир обнаружения демонов";                           -- enUS = "Elixir of Detect Demon"
    L["21546"] = "Сильный эликсир огневой мощи";                         -- enUS = "Elixir of Greater Firepower"
    L["3387"] = "Слабое зелье неуязвимости";                             -- enUS = "Limited Invulnerability Potion"
    L["13442"] = "Мощное зелье ярости";                                  -- enUS = "Mighty Rage Potion"
    L["13443"] = "Мощное зелье маны";                                    -- enUS = "Superior Mana Potion"
    L["13445"] = "Мощный эликсир защиты";                                -- enUS = "Elixir of Superior Defense"
    L["13447"] = "Эликсир мудрецов";                                     -- enUS = "Elixir of the Sages"
    L["13446"] = "Сильнейшее лечебное зелье";                            -- enUS = "Major Healing Potion"
    L["13453"] = "Эликсир грубой силы";                                  -- enUS = "Elixir of Brute Force"
    L["20007"] = "Зелье крови волшебника";                               -- enUS = "Mageblood Potion"
    L["20002"] = "Сильное зелье спокойного сна";                         -- enUS = "Greater Dreamless Sleep Potion"
    L["13455"] = "Сильное зелье каменного щита";                         -- enUS = "Greater Stoneshield Potion"
    L["13452"] = "Эликсир мангуста";                                     -- enUS = "Elixir of the Mongoose"
    L["13462"] = "Зелье очищения";                                       -- enUS = "Purification Potion"
    L["13454"] = "Сильный чародейский эликсир";                          -- enUS = "Greater Arcane Elixir"
    L["20008"] = "Зелье неудержимости";                                  -- enUS = "Living Action Potion"
    L["13457"] = "Сильное зелье защиты от огня";                         -- enUS = "Greater Fire Protection Potion"
    L["13456"] = "Сильное зелье защиты от магии льда";                   -- enUS = "Greater Frost Protection Potion"
    L["13458"] = "Сильное зелье защиты от сил природы";                  -- enUS = "Greater Nature Protection Potion"
    L["13461"] = "Сильное зелье защиты от тайной магии";                 -- enUS = "Greater Arcane Protection Potion"
    L["13459"] = "Сильное зелье защиты от темной магии";                 -- enUS = "Greater Shadow Protection Potion"
    L["20004"] = "Сильнейшее зелье тролльей крови";                      -- enUS = "Major Troll's Blood Potion"
    L["13444"] = "Сильнейшее зелье маны";                                -- enUS = "Major Mana Potion"
    L["18253"] = "Сильнейшее зелье омоложения";                          -- enUS = "Major Rejuvenation Potion"
    L["13503"] = "Алхимический камень";                                  -- enUS = "Alchemist's Stone"
    L["13506"] = "Настой окаменения";                                    -- enUS = "Flask of Petrification"
    L["13510"] = "Настой титанов";                                       -- enUS = "Flask of the Titans"
    L["13511"] = "Настой Концентрированной мудрости";                    -- enUS = "Flask of Distilled Wisdom"
    L["13512"] = "Настой великой силы";                                  -- enUS = "Flask of Supreme Power"
    L["13513"] = "Настой всецветного сопротивления";                     -- enUS = "Flask of Chromatic Resistance"
    L["19931"] = "Амулет безумия Гурубаши";                              -- enUS = "Gurubashi Mojo Madness"
	
    -- All the spells used in Alchemy

    L["11479"] = "Трансмутация железа в золото";                         -- enUS = "Transmute: Iron to Gold"
    L["11480"] = "Трансмутация мифрила в истинное серебро";              -- enUS = "Transmute: Mithril to Truesilver"
    L["25146"] = "Трансмутация: первородный огонь";                      -- enUS = "Transmute: Elemental Fire"
    L["17187"] = "Трансмутация: арканит";                                -- enUS = "Transmute: Arcanite"
    L["17559"] = "Трансмутация: воздух в огонь";                         -- enUS = "Transmute: Air to Fire"
    L["17560"] = "Трансмутация: огонь в землю";                          -- enUS = "Transmute: Fire to Earth"
    L["17561"] = "Трансмутация: земля в воду";                           -- enUS = "Transmute: Earth to Water"
    L["17562"] = "Трансмутация: вода в воздух";                          -- enUS = "Transmute: Water to Air"
    L["17563"] = "Трансмутация: нежитие в воду";                         -- enUS = "Transmute: Undeath to Water"
    L["17564"] = "Трансмутация: вода в нежитие";                         -- enUS = "Transmute: Water to Undeath"
    L["17565"] = "Трансмутация: жизнь в землю";                          -- enUS = "Transmute: Life to Earth"
    L["17566"] = "Трансмутация: земля в жизнь";                          -- enUS = "Transmute: Earth to Life"

    -- All the herbs used for potions.

    L["2447"] = "Мироцвет";                                              -- enUS = "Peacebloom"
    L["765"] = "Сребролист";                                             -- enUS = "Silverleaf"
    L["2449"] = "Землекорень";                                           -- enUS = "Earthroot"
    L["785"] = "Магороза";                                               -- enUS = "Mageroyal"
    L["2450"] = "Остротерн";                                             -- enUS = "Briarthorn"
    L["2452"] = "Скорополох";                                            -- enUS = "Swifthistle"
    L["3820"] = "Удавник";                                               -- enUS = "Stranglekelp"
    L["2453"] = "Синячник";                                              -- enUS = "Bruiseweed"
    L["3355"] = "Дикий сталецвет";                                       -- enUS = "Wild Steelbloom"
    L["3369"] = "Могильный мох";                                         -- enUS = "Grave Moss"
    L["3356"] = "Королевская кровь";                                     -- enUS = "Kingsblood"
    L["3357"] = "Жизнекорень";                                           -- enUS = "Liferoot"
    L["3818"] = "Бледнолист";                                            -- enUS = "Fadeleaf"
    L["3821"] = "Златошип";                                              -- enUS = "Goldthorn"
    L["3358"] = "Кадгаров ус";                                           -- enUS = "Khadgar's Whisker"
    L["3819"] = "Морозник";                                              -- enUS = "Wintersbite"
    L["4625"] = "Огнецвет";                                              -- enUS = "Firebloom"
    L["8831"] = "Лиловый лотос";                                         -- enUS = "Purple Lotus"
    L["8153"] = "Дикая лоза";                                            -- enUS = "Wildvine"
    L["8836"] = "Слезы Артаса";                                          -- enUS = "Arthas' Tears"
    L["8838"] = "Солнечник";                                             -- enUS = "Sungrass"
    L["8839"] = "Пастушья сумка";                                        -- enUS = "Blindweed"
    L["8845"] = "Призрачная поганка";                                    -- enUS = "Ghost Mushroom"
    L["8846"] = "Кровь Грома";                                           -- enUS = "Gromsblood"
    L["13464"] = "Золотой сансам";                                       -- enUS = "Golden Sansam"
    L["13463"] = "Снолист";                                              -- enUS = "Dreamfoil"
    L["13465"] = "Горный серебряный шалфей";                             -- enUS = "Mountain Silversage"
    L["13466"] = "Чумоцвет";                                             -- enUS = "Plaguebloom"
    L["13467"] = "Ледяной зев";                                          -- enUS = "Icecap"
    L["13468"] = "Черный лотос";                                         -- enUS = "Black Lotus"

    -- All the Vail's used for potions.

    L["3371"] = "Пустая колба";                                          -- enUS = "Empty Vial"
    L["3372"] = "Освинцованная колба";                                   -- enUS = "Leaded Vial"
    L["8925"] = "Хрустальная колба";                                     -- enUS = "Crystal Vial"
    L["18256"] = "Укрепленная колба";                                    -- enUS = "Imbued Vial"

    -- All the rest used for potions.
    L["5635"] = "Острый коготь";                                         -- enUS = "Sharp Claw"
    L["6358"] = "Масляный черноротик";                                   -- enUS = "Oily Blackmouth"
    L["6359"] = "Огнеперый снеппер";                                     -- enUS = "Firefin Snapper"
    L["3164"] = "Обесцвеченное сердце ворга";                            -- enUS = "Discolored Worg Heart"
    L["6522"] = "Загадочная рыба";                                       -- enUS = "Deviate Fish"
    L["3575"] = "Железный слиток";                                       -- enUS = "Iron Bar"
    L["9262"] = "Черный купорос";                                        -- enUS = "Black Vitriol"
    L["7972"] = "Лимфа нежити";                                          -- enUS = "Ichor of Undeath"
    L["3858"] = "Мифриловая руда";                                       -- enUS = "Mithril Ore"
    L["4402"] = "Малая пламенная железа";                                -- enUS = "Small Flame Sac"
    L["3860"] = "Мифриловый слиток";                                     -- enUS = "Mithril Bar"
    L["10620"] = "Ториевая руда";                                        -- enUS = "Thorium Ore"
    L["7076"] = "Субстанция Земли";                                      -- enUS = "Essence of Earth"
    L["12359"] = "Ториевый слиток";                                      -- enUS = "Thorium Bar"
    L["12363"] = "Чародейный кристалл";                                  -- enUS = "Arcane Crystal"
    L["13422"] = "Каменный угорь";                                       -- enUS = "Stonescale Eel"
    L["11176"] = "Сонная пыль";                                          -- enUS = "Dream Dust"
    L["7077"] = "Сердце огня";                                           -- enUS = "Heart of Fire"
    L["7080"] = "Субстанция Воды";                                       -- enUS = "Essence of Water"
    L["10286"] = "Сердце дикой природы";				                 -- enUS = "Heart of the Wild"
    L["7067"] = "Первородная земля";                                     -- enUS = "Elemental Earth"
    L["7078"] = "Субстанция Огня";                                       -- enUS = "Essence of Fire"
    L["12803"] = "Субстанция Жизни";                                     -- enUS = "Living Essence"
    L["12808"] = "Субстанция Нежити";                                    -- enUS = "Essence of Undeath"
    L["1288"] = "Большая ядовитая железа";                               -- enUS = "Large Venom Sac"
    L["7068"] = "Первородный огонь";                                     -- enUS = "Elemental Fire"
    L["12938"] = "Кровь героев";                                         -- enUS = "Blood of Heroes"
    L["19943"] = "Массивный амулет";                                     -- enUS = "Massive Mojo"
    L["12804"] = "Мощный амулет";                                        -- enUS = "Powerful Mojo"
    L["7070"] = "Первородная вода";                                      -- enUS = "Elemental Water"
    L["9260"] = "Крепленый ром";                                         -- enUS = "Volatile Rum"
    L["7082"] = "Субстанция Воздуха";                                    -- enUS = "Essence of Air"
    L["4342"]  "Лиловая краска";                                         -- enUS = "Purple Dye"